#include "config.h"	 	//全局声明         

int main(void)
{
	//	SystemInit();		      //系统时钟等初始化

	NVIC_SetVectorTable(NVIC_VectTab_FLASH, 0x8000);
	
  TIM_DeInit(TIM2);
	USART_DeInit(USART1);
	DMA_DeInit(DMA2_Stream5);
	DMA_DeInit(DMA2_Stream7);
	GPIO_DeInit(GPIOA);
	GPIO_DeInit(GPIOB);
  IWDG_ReloadCounter();
	
	 __set_PRIMASK(0); 
	delay_init();
	//delay_ms(500);
	IWDG_ReloadCounter();
	TXH_Init();
	IWDG_ReloadCounter();
//	TXHData.PREXDATA_WaitUpNummber = 0;
//  FMItemWrite(CF_PREXDATA_WaitUpNummber,0);
	while(1)
	{
		TXH_Task();
		IWDG_ReloadCounter();
	  };
}